html {
  font-family: sans-serif;
}

body {
  background: #2c2c2c;
}

h2 {
  font-size: 1.25rem;
  margin: 1rem 0.5rem;
}

progress {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 80%;
  height: 2rem;
  color: #ff0062;
  border: 1px solid #2c2c2c;
  border-radius: 6px;
}

progress[value]::-webkit-progress-bar,
progress[value] {
  background-color: #aaaaaa;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25) inset;
}

progress[value]::-webkit-progress-value {
  background-color: #1ad20d;
  transition: all 0.2s ease-out;
}

progress[value]::-moz-progress-bar {
  background-color: #a927f5;
  transition: all 0.2s ease-out;
}

button {
  font: inherit;
  background: #ff0062;
  border: 1px solid #ff0062;
  color: white;
  padding: 1rem 2rem;
  border-radius: 6px;
  cursor: pointer;
  margin: 0.5rem;
}

button:focus {
  outline: none;
}

button:hover,
button:active {
  background: #a927f5;
  border-color: #a927f5;
}

#health-levels,
#controls {
  margin: 2rem auto;
  width: 30rem;
  text-align: center;
  border-radius: 10px;
  padding: 1.5rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.25);
  background: white;
}

#controls {
  display: flex;
  flex-direction: column;
}

#bonus-life {
  font-weight: bold;
  color: white;
  background: #ff0062;
  border: 1px solid #ff0062;
  padding: 0.15rem 0.5rem;
  border-radius: 10px;
  text-align: center;
  margin: 0 0.5rem;
}
